# EOSC Notebooks

This directory has all the files to get started with a new deployment of EOSC
Notebooks.

## Admin Environment Setup

### Hashicorp Vault

Prepare environment for interrating with Hashicorp Vault:

    export VAULT_ADDR=https://vault.services.fedcloud.eu:8200

Login:

    # get the service token
    read OIDC_ACCESS_TOKEN

    # login to vault
    export VAULT_TOKEN=$(vault write auth/jwt/login jwt=$OIDC_ACCESS_TOKEN | grep -Po 'token\s+\K[^\s]+$')

Note: values were created as admin by commands (replace $SECRET\_NAME and $VALUE):

    prefix=/users/e1662e20-e34b-468c-b0ce-d899bc878364@egi.eu/eosc-dev
    vault kv put -mount secrets $prefix/nexus_admin_password/$SECRET_NAME value=$VALUE

## Sites

### CESNET Central

Kubernetes cluster for the "central" components - Jupyter Hub, image repository, ...

### CESNET MCC

Example site. Kubernetes cluster for worker nodes.
